Package ru.bitel.oss.kernel.entity.common.bean.filter

# Class FilterEntityAttr

java.lang.Object
ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttr

Direct Known Subclasses:
  `FilterEntityAttrAddress`, `FilterEntityAttrBoolean`, `FilterEntityAttrContract`, `FilterEntityAttrDate`, `FilterEntityAttrEmail`, `FilterEntityAttrHouse`, `FilterEntityAttrInt`, `FilterEntityAttrList`, `FilterEntityAttrPhone`, `FilterEntityAttrText`

    public abstract class FilterEntityAttr
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `MODE_EQ` |
  `static int` | `MODE_LIKE` |
  `static int` | `MODE_REGEX` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FilterEntityAttr()` |
  `FilterEntityAttr​(java.util.Set<java.lang.Integer> entitySpecAttrIds)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Set<java.lang.Integer>` | `getEntitySpecAttrIds()` |
  `void` | `setEntitySpecAttrIds​(java.util.Set<java.lang.Integer> entitySpecAttrIds)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MODE_EQ

    public static final int MODE_EQ
    See Also:
      Constant Field Values

  - ### MODE_LIKE

    public static final int MODE_LIKE
    See Also:
      Constant Field Values

  - ### MODE_REGEX

    public static final int MODE_REGEX
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### FilterEntityAttr

    public FilterEntityAttr()

  - ### FilterEntityAttr

    public FilterEntityAttr​(java.util.Set<java.lang.Integer> entitySpecAttrIds)

- ## Method Details

  - ### getEntitySpecAttrIds

    public java.util.Set<java.lang.Integer> getEntitySpecAttrIds()

  - ### setEntitySpecAttrIds

    public void setEntitySpecAttrIds​(java.util.Set<java.lang.Integer> entitySpecAttrIds)